package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringAirWallBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringAirWallVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryTypeVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryVo;

import java.util.Collection;
import java.util.List;

/**
 * ,带气封堵施工Service接口
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringAirWallService {

    /**
     * 查询,带气封堵施工
     */
    ZEngineeringAirWallVo queryById(String id);

    /**
     * 查询,带气封堵施工列表
     */
    TableDataInfo<ZEngineeringAirWallVo> queryPageList(ZEngineeringAirWallBo bo, PageQuery pageQuery);

    /**
     * 查询,带气封堵施工列表
     */
    List<ZEngineeringAirWallVo> queryList(ZEngineeringAirWallBo bo);

    /**
     * 新增,带气封堵施工
     */
    Boolean insertByBo(ZEngineeringAirWallBo bo);

    /**
     * 修改,带气封堵施工
     */
    Boolean updateByBo(ZEngineeringAirWallBo bo);

    Boolean updateNodeByBo(ZEngineeringAirWallBo bo);

    /**
     * 校验并批量删除,带气封堵施工信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    ZEngineeringAirWallVo query(String id, String type);

    List<ZEngineeringIndustryTypeVo> queryNameByType(ZEngineeringAirWallBo bo);
}
